export const colorsByCodes: Record<string, string> = {
  '0': '#ab47bc',
  '1': '#9c27b0',
  '2': '#8e24aa',
  '3': '#7b1fa2',
  '4': '#6a1b9a',
  '5': '#4a148c',
  '6': '#d500f9',
  '7': '#aa00ff',
  '8': '#673ab7',
  '9': '#5e35b1',
  '10': '#512da8',
  '11': '#4527a0',
  '12': '#311b92',
  '13': '#651fff',
  '14': '#6200ea',
  '15': '#3f51b5',
  '16': '#3949ab',
  '17': '#303f9f',
  '18': '#283593',
  '19': '#1a237e',
  '20': '#3d5afe',
  '21': '#304ffe',
  '22': '#1e88e5',
  '23': '#1976d2',
  '24': '#1565c0',
  '25': '#0d47a1',
  '26': '#2979ff',
  '27': '#2962ff',
  '28': '#01579b',
  '29': '#0091ea',
  '30': '#0097a7',
  '31': '#00838f',
  '32': '#006064',
  '33': '#009688',
  '34': '#00897b',
  '35': '#00796b',
  '36': '#00695c',
  '37': '#004d40',
  '38': '#43a047',
  '39': '#388e3c',
  '40': '#2e7d32',
  '41': '#1b5e20',
  '42': '#558b2f',
  '43': '#33691e',
  '44': '#f57f17',
  '45': '#ff6f00',
  '46': '#ef6c00',
  '47': '#e65100',
  '48': '#ff5722',
  '49': '#f4511e',
  '50': '#e64a19',
  '51': '#d84315',
  '52': '#bf360c',
  '53': '#ff3d00',
  '54': '#dd2c00',
  '55': '#8d6e63',
  '56': '#795548',
  '57': '#6d4c41',
  '58': '#5d4037',
  '59': '#4e342e',
  '60': '#607d8b',
  '61': '#546e7a',
  '62': '#455a64',
  '63': '#37474f',
  '?': '#a33333',
}

export const themeColors: Record<AvailableColorThemes, Record<string, string>> = {
  default: {
    'system-white': '#fff',
    'system-black': '#000',
    'black-30': '#b3b3b3',
    'black-90': '#212121',
    'blue-10': '#fafdff',
    'blue-60': '#6ca1cc',
    'blue-main': '#0090ec',
    'blue-main-20': '#d8edfd',
    'blue-main-30': '#b0dafc',
    'blue-main-120': '#0065b3',
    'gray-50': '#f2f2f2',
    'gray-90': '#444',
    'green-160': '#0a2811',
    'green-grass-30': '#bef2c1',
    'green-grass-100': '#33c653',
    'magenta-30': '#f0b8ea',
    'magenta-100': '#b22ca5',
    'pear-30': '#ffcfc8',
    'pear-100': '#f75d53',
    'pear-160': '#311311',
    'purple-30': '#bab9f9',
    'purple-100': '#4744e4',
    'yellow-100': '#ffc765',
    'yellow-160': '#403013',
  },
  dark: {
    'system-white': '#fff',
    'system-black': '#000',
    'black-30': '#b3b3b3',
    'black-90': '#212121',
    'blue-10': '#fafdff',
    'blue-60': '#6ca1cc',
    'blue-main': '#0090ec',
    'blue-main-20': '#d8edfd',
    'blue-main-30': '#b0dafc',
    'blue-main-120': '#0065b3',
    'gray-50': '#f2f2f2',
    'gray-90': '#444',
    'green-160': '#0a2811',
    'green-grass-30': '#bef2c1',
    'green-grass-100': '#33c653',
    'magenta-30': '#f0b8ea',
    'magenta-100': '#b22ca5',
    'pear-30': '#ffcfc8',
    'pear-100': '#f75d53',
    'pear-160': '#311311',
    'purple-30': '#bab9f9',
    'purple-100': '#4744e4',
    'yellow-100': '#ffc765',
    'yellow-160': '#403013',
  },
}
